"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const index_js_1 = require("./API/index.js");
class BMKG {
    /**
     * Mengambil data gempa yang terakhir terjadi.
     *
     * @returns {Promise<AutoGempa>} Object data gempa yang terakhir terjadi.
     */
    async autoGempa() {
        return await (0, index_js_1.autoGempa)();
    }
    /**
     * Mengambil list data gempa yang dirasakan.
     *
     * @returns {Promise<GempaDirasakan[]>} Array object list gempa yang dirasakan.
     */
    async gempaDirasakan() {
        return await (0, index_js_1.gempaDirasakan)();
    }
    /**
     * Mengambil list data gempa terkini.
     *
     * @returns {Promise<GempaTerkini[]>} Array object list gempa terkini.
     */
    async gempaTerkini() {
        return await (0, index_js_1.gempaTerkini)();
    }
    /**
     * Mengambil data prakiraan cuaca dalam waktu 3 harian.
     *
     * @param {string} [daerah = 'indonesia'] - Provinsi dan kota-kota yang ada di Indonesia. Default `indonesia`.
     * @returns {Promise<Cuaca>} Object prakiraan cuaca untuk `daerah`.
     */
    async prakiraanCuaca(daerah) {
        return await (0, index_js_1.prakiraanCuaca)(daerah);
    }
}
exports.default = BMKG;
