import type { AutoGempa, GempaDirasakan, GempaTerkini, Cuaca } from './util/interfaces.js';
export default class BMKG {
    /**
     * Mengambil data gempa yang terakhir terjadi.
     *
     * @returns {Promise<AutoGempa>} Object data gempa yang terakhir terjadi.
     */
    autoGempa(): Promise<AutoGempa>;
    /**
     * Mengambil list data gempa yang dirasakan.
     *
     * @returns {Promise<GempaDirasakan[]>} Array object list gempa yang dirasakan.
     */
    gempaDirasakan(): Promise<GempaDirasakan[]>;
    /**
     * Mengambil list data gempa terkini.
     *
     * @returns {Promise<GempaTerkini[]>} Array object list gempa terkini.
     */
    gempaTerkini(): Promise<GempaTerkini[]>;
    /**
     * Mengambil data prakiraan cuaca dalam waktu 3 harian.
     *
     * @param {string} [daerah = 'indonesia'] - Provinsi dan kota-kota yang ada di Indonesia. Default `indonesia`.
     * @returns {Promise<Cuaca>} Object prakiraan cuaca untuk `daerah`.
     */
    prakiraanCuaca(daerah?: string): Promise<Cuaca>;
}
