import { autoGempa, gempaDirasakan, gempaTerkini, prakiraanCuaca } from './API/index.js';
export default class BMKG {
    /**
     * Mengambil data gempa yang terakhir terjadi.
     *
     * @returns {Promise<AutoGempa>} Object data gempa yang terakhir terjadi.
     */
    async autoGempa() {
        return await autoGempa();
    }
    /**
     * Mengambil list data gempa yang dirasakan.
     *
     * @returns {Promise<GempaDirasakan[]>} Array object list gempa yang dirasakan.
     */
    async gempaDirasakan() {
        return await gempaDirasakan();
    }
    /**
     * Mengambil list data gempa terkini.
     *
     * @returns {Promise<GempaTerkini[]>} Array object list gempa terkini.
     */
    async gempaTerkini() {
        return await gempaTerkini();
    }
    /**
     * Mengambil data prakiraan cuaca dalam waktu 3 harian.
     *
     * @param {string} [daerah = 'indonesia'] - Provinsi dan kota-kota yang ada di Indonesia. Default `indonesia`.
     * @returns {Promise<Cuaca>} Object prakiraan cuaca untuk `daerah`.
     */
    async prakiraanCuaca(daerah) {
        return await prakiraanCuaca(daerah);
    }
}
