import type { Cuaca } from './interfaces.js';
/**
 * Format string time dari `YYYYMMDDHHmm` ke format yang ditentukan.
 *
 * @param {string} date - String time dengan format `YYYYMMDDHHmm`.
 * @param {string} [format = 'YYYY/MM/DD HH:mm'] - Format yang ditentukan. Default `YYYY/MM/DD HH:mm`.
 * @returns {string} String time dengan bentuk `format`.
 */
export declare function timeFormatter(date: string, format?: string): string;
/**
 * Menerjemahkan kode cuaca ke kondisi cuaca dalam bentuk string.
 *
 * @param {number} code - Kode cuaca.
 * @returns {string} String dari kode cuaca yang diberikan.
 */
export declare function weatherCodeToString(code: number): string;
/**
 * Mengambil data cuaca dari XML yang telah di-parse menjadi object.
 *
 * @param {any} parsedXML - XML yang telah di-parse menjadi object.
 * @returns {Cuaca} Array object prakiraan cuaca tiap daerah.
 */
export declare function getWeatherData(parsedXML: any): Cuaca;
